PartitionAttributesData (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.management, class: PartitionAttributesData

Package org.apache.geode.management

# Class PartitionAttributesData

java.lang.Object
org.apache.geode.management.PartitionAttributesData

public class PartitionAttributesData extends Object
Composite date type used to distribute attributes for a `PartitionedRegion`.

Since:
  GemFire 7.0

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PartitionAttributesData(int redundantCopies, long totalMaxMemory, int totalNumBuckets, int localMaxMemory, String colocatedWith, String partitionResolver, long recoveryDelay, long startupRecoveryDelay, String[] partitionListeners)`
  This constructor is to be used by internal JMX framework only.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getColocatedWith()`
  Returns the name of the PartitionedRegion that this PartitionedRegion is colocated with.
  `int`
  `getLocalMaxMemory()`
  Returns the maximum amount of local memory that can be used by the region.
  `String[]`
  `getPartitionListeners()`
  Returns a list of Classes that are configured as listeners for the Region.
  `String`
  `getPartitionResolver()`
  Returns a list of Classes that are configured as resolvers for the Region.
  `long`
  `getRecoveryDelay()`
  Returns the delay (in milliseconds) that a member will wait while trying to satisfy the redundancy of data hosted on other members.
  `int`
  `getRedundantCopies()`
  Returns the number of redundant copies for this PartitionedRegion.
  `long`
  `getStartupRecoveryDelay()`
  Returns the delay (in milliseconds) that a new member will wait while trying to satisfy the redundancy of data hosted on other members.
  `long`
  `getTotalMaxMemory()`
  Returns the maximum total size (in megabytes) of the Region.
  `int`
  `getTotalNumBuckets()`
  Returns the total number of buckets for the whole region.
  `String`
  `toString()`
  String representation of PartitionAttributesData

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### PartitionAttributesData

    @ConstructorProperties({"redundantCopies","totalMaxMemory","totalNumBuckets","localMaxMemory","colocatedWith","partitionResolver","recoveryDelay","startupRecoveryDelay","partitionListeners"}) public PartitionAttributesData(int redundantCopies, long totalMaxMemory, int totalNumBuckets, int localMaxMemory, String colocatedWith, String partitionResolver, long recoveryDelay, long startupRecoveryDelay, String[] partitionListeners)
    This constructor is to be used by internal JMX framework only. User should not try to create an instance of this class.
    Parameters:
      `redundantCopies` - the number of redundant copies for this PartitionedRegion
      `totalMaxMemory` - the maximum total size (in megabytes) of the Region
      `totalNumBuckets` - the total number of buckets for the whole region
      `localMaxMemory` - the maximum amount of local memory that can be used by the region
      `colocatedWith` - the name of the PartitionedRegion that this PartitionedRegion is colocated with
      `partitionResolver` - a list of Classes that are configured as resolvers for the Region
      `recoveryDelay` - the delay (in milliseconds) that a member will wait while trying to satisfy the redundancy of data hosted on other members
      `startupRecoveryDelay` - the delay (in milliseconds) that a new member will wait while trying to satisfy the redundancy of data hosted on other members
      `partitionListeners` - an array of Classes that are configured as listeners for the Region

- ## Method Details

  - ### getRedundantCopies

    public int getRedundantCopies()
    Returns the number of redundant copies for this PartitionedRegion.
    Returns:
      the number of redundant copies for this PartitionedRegion

  - ### getTotalMaxMemory

    public long getTotalMaxMemory()
    Returns the maximum total size (in megabytes) of the Region.
    Returns:
      the maximum total size (in megabytes) of the Region

  - ### getTotalNumBuckets

    public int getTotalNumBuckets()
    Returns the total number of buckets for the whole region.
    Returns:
      the total number of buckets for the whole region

  - ### getLocalMaxMemory

    public int getLocalMaxMemory()
    Returns the maximum amount of local memory that can be used by the region.
    Returns:
      the maximum amount of local memory that can be used by the region

  - ### getColocatedWith

    public String getColocatedWith()
    Returns the name of the PartitionedRegion that this PartitionedRegion is colocated with.
    Returns:
      the name of the PartitionedRegion that this PartitionedRegion is colocated with

  - ### getPartitionResolver

    public String getPartitionResolver()
    Returns a list of Classes that are configured as resolvers for the Region.
    Returns:
      a list of Classes that are configured as resolvers for the Region

  - ### getRecoveryDelay

    public long getRecoveryDelay()
    Returns the delay (in milliseconds) that a member will wait while trying to satisfy the redundancy of data hosted on other members.
    Returns:
      the delay (in milliseconds) that a member will wait while trying to satisfy the redundancy of data hosted on other members

  - ### getStartupRecoveryDelay

    public long getStartupRecoveryDelay()
    Returns the delay (in milliseconds) that a new member will wait while trying to satisfy the redundancy of data hosted on other members.
    Returns:
      the delay (in milliseconds) that a new member will wait while trying to satisfy the redundancy of data hosted on other members

  - ### getPartitionListeners

    public String[] getPartitionListeners()
    Returns a list of Classes that are configured as listeners for the Region.
    Returns:
      an array of Classes that are configured as listeners for the Region

  - ### toString

    public String toString()
    String representation of PartitionAttributesData
    Overrides:
      `toString` in class `Object`